Bug 125271 - standby not possible because mysqld not stopped
standby not possible because mysqld not stopped
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 06:51 EDT by info
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description info 2004-06-04 06:51:37 EDT
Description of problem: 
 
Trying to go to standby mode gives an error that mysql is not 
stopped. If mysqld is stopped manually, then standby works as 
expected. 
 
How reproducible: Always. 
 
Steps to Reproduce: 
1. type as root 
echo -n "standby" > /sys/power/state 
 
Actual results: 
 
Screen goes to text mode with the following message (also recorded 
in dmesg): 
PM: Preparing system for suspend 
Stopping tasks: 
================================================================================== 
 stopping tasks failed (1 tasks remaining) 
Restarting tasks...<6> Strange, mysqld not stopped 
 done 
 
Then the system goes back into X.  
 
Expected results: 
should stop mysqld and go into standby. 
 
If I stop mysql manually before attempting standby, then everything 
is fine: 
 
[root@Godzilla-PC stephan]# /etc/init.d/mysqld stop 
MySQL beenden:                                             [  OK  ] 
[root@Godzilla-PC stephan]# echo -n "standby" > /sys/power/state 
 
Then it goes into standby, and can be woken up with the power 
button. The output in dmesg in this case: 
 
PM: Preparing system for suspend 
Stopping tasks: 
===============================================================================| 
PM: Entering state. 
Back to C! 
PM: Finishing up. 
PCI: Setting latency timer of device 0000:00:1d.0 to 64 
PCI: Setting latency timer of device 0000:00:1d.1 to 64 
PCI: Setting latency timer of device 0000:00:1f.5 to 64 
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1 
blk: queue 0332ae00, I/O limit 4095Mb (mask 0xffffffff) 
Restarting tasks... done 
 
Additional info: 
I'm using a Toshiba Satellite 1110 Laptop, ACPI, kernel 2.6.5-1.358, 
from Fedora Core 2. 
MySQL is also from the Fedora Core distribution (mysql-3.23.58-9). 
Only change from standard: I changed in /etc/init.d/mysqld the line 
41: 
	# ping="/usr/bin/mysqladmin -uUNKNOWN_MYSQL_USER ping" 
	ping="/usr/bin/mysqladmin -ucontroluser ping" 
(otherwise there is an error when starting the service). 
 
Thanks! 
Stephan
Comment 1 Dave Jones 2005-04-16 01:57:30 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.